import { IsString } from 'class-validator';
import { NotAcceptableError, NotFoundError } from 'routing-controllers';

export class ParticipantOnlyOneAddressAllowedError extends NotAcceptableError {
	@IsString()
	name = "ParticipantOnlyOneAddressAllowedError"

	@IsString()
	message = "Participant's can only have one address! \n You provided an id and address object.."
}

export class ParticipantAddressNotFoundError extends NotFoundError {
	@IsString()
	name = "ParticipantAddressNotFoundError"

	@IsString()
	message = "The address you provided couldn't be located in the system. \n Please check your request."
}